Bug 821755 - gcal: Gnulib bundled but no bundled(gnulib) provides
gcal: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:51 EDT by Mikolaj Izdebski
Modified: 2012-06-15 08:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 05:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:51:56 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
gcal. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected gcal version: gcal-3.6-4.fc17

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
gcal.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    gcal-3.6.tar.xz

At least the following files look like Gnulib files:
    ./gcal-3.6/m4/00gnulib.m4
    ./gcal-3.6/po/Makefile.in.in
    ./gcal-3.6/po/Makevars
    ./gcal-3.6/m4/ulonglong.m4
    ./gcal-3.6/m4/gnulib-comp.m4
    ./gcal-3.6/lib/regex.c
    ./gcal-3.6/lib/pipe2.c
    ./gcal-3.6/lib/errno.in.h
    ./gcal-3.6/lib/time.in.h
    ./gcal-3.6/lib/gettimeofday.c
    ./gcal-3.6/lib/sys_socket.in.h
    ./gcal-3.6/lib/sys_time.in.h
    ./gcal-3.6/lib/strings.in.h
    ./gcal-3.6/lib/gettext.h
    ./gcal-3.6/lib/gnulib.mk
    ./gcal-3.6/lib/malloc.c
    ./gcal-3.6/lib/unistd.in.h
    ./gcal-3.6/lib/stdint.in.h
    ./gcal-3.6/lib/regex_internal.c
    ./gcal-3.6/lib/lseek.c
    ./gcal-3.6/lib/sys_stat.in.h
    ./gcal-3.6/lib/close-hook.c
    ./gcal-3.6/lib/link.c
    ./gcal-3.6/lib/strstr.c
    ./gcal-3.6/lib/alloca.in.h
    ./gcal-3.6/lib/regex.h
    ./gcal-3.6/lib/sys_wait.in.h
    ./gcal-3.6/lib/localcharset.h
    ./gcal-3.6/lib/alloca.c
    ./gcal-3.6/lib/regexec.c
    ./gcal-3.6/lib/Makefile.in
    ./gcal-3.6/lib/string.in.h
    ./gcal-3.6/lib/regcomp.c
    ./gcal-3.6/lib/stddef.in.h
    ./gcal-3.6/lib/localcharset.c
    ./gcal-3.6/lib/sys_ioctl.in.h
    ./gcal-3.6/lib/langinfo.in.h
    ./gcal-3.6/lib/fseeko.c
    ./gcal-3.6/lib/alignof.h
    ./gcal-3.6/lib/strdup.c
    ./gcal-3.6/lib/close-hook.h
    ./gcal-3.6/lib/wchar.in.h
    ./gcal-3.6/lib/wctype.in.h
    ./gcal-3.6/lib/streq.h
    ./gcal-3.6/lib/stdio.in.h
    ./gcal-3.6/lib/regex_internal.h
    ./gcal-3.6/lib/stdbool.in.h
    ./gcal-3.6/lib/str-two-way.h
    ./gcal-3.6/lib/glthread/threadlib.c
    ./gcal-3.6/lib/glthread/cond.h
    ./gcal-3.6/lib/glthread/cond.c
    ./gcal-3.6/lib/glthread/lock.h
    ./gcal-3.6/lib/glthread/lock.c
    ./gcal-3.6/build-aux/warn-on-use.h
    ./gcal-3.6/build-aux/c++defs.h
    ./gcal-3.6/build-aux/arg-nonnull.h

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Daiki Ueno 2012-05-16 04:01:52 EDT
(In reply to comment #0)

> As a kind of copylib, Gnulib has been granted an exception. However, to comply
> with Packaging guidelines, packages bundling Gnulib must note that the library
> has been granted an exception in the spec file comment with a link to the FPC
> ticket where the exception was granted and add a virtual provide to the spec
> file to note that Gnulib is bundled. Refer to [2] for more details.

I couldn't find FPC ticket for Gnulib exception.  Is it ok to go forward with "Provides: bundled(gnulib)" only?
Comment 2 Mikolaj Izdebski 2012-05-16 04:07:54 EDT
Yes, I would say so. Gnulib is widely known. Or you can add a link to the table with exceptions in packaging guidelines. Up to you.
Comment 3 Fedora Update System 2012-05-16 05:18:19 EDT
gcal-3.6.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gcal-3.6.2-1.fc16
Comment 4 Fedora Update System 2012-05-16 05:18:29 EDT
gcal-3.6.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gcal-3.6.2-1.fc17
Comment 5 Fedora Update System 2012-05-16 05:18:52 EDT
gcal-3.6.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcal-3.6.2-1.fc15
Comment 6 Daiki Ueno 2012-05-16 05:20:03 EDT
Thanks.  Fixed in rawhide and updates filed for past releases.
Comment 7 Fedora Update System 2012-06-15 08:23:31 EDT
gcal-3.6.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-06-15 08:23:46 EDT
gcal-3.6.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-15 08:34:39 EDT
gcal-3.6.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.